{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        "bni",
        " h ",
        "SSS"
    ],
    "key": {
        "b": "#minecraft:buttons",
        "i": "minecraft:iron_ingot",
        "n": "minecraft:netherite_ingot",
        "S": "minecraft:stick",
        "h": "minecraft:hopper"
    },
    "result": {
        "id": "minecraft:bat_spawn_egg",
        "components": {
          "minecraft:item_model": "minecraft:misc/turret",
          "minecraft:item_name": {"text":"Mounted M2 Browning","italic":false},
          "minecraft:tooltip_display": {
            "hidden_components": [
              "minecraft:entity_data"
            ]
          },
          "minecraft:entity_data": {
            "id": "minecraft:armor_stand",
            "Marker":true,
            "Invisible": true,
            "Tags":["spawn_turret"]
          }
        }
    }
}